Xalan-Java 2.7.1: Class XSLTElementProcessor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class XSLTElementProcessor

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.processor.XSLTElementProcessor

Direct Known Subclasses:
  ProcessorCharacters, ProcessorInclude, ProcessorStylesheetDoc, ProcessorStylesheetElement, ProcessorTemplateElem

public class XSLTElementProcessor
extends ElemTemplateElement

This class acts as the superclass for all stylesheet element processors, and deals with things that are common to all elements.

See Also:
  XSLT DTD, Serialized Form

Method Summary
`void` | `characters(StylesheetHandler handler, char[] ch, int start, int length)` Receive notification of character data inside an element.
`void` | `endElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName)` Receive notification of the end of an element.
`void` | `ignorableWhitespace(StylesheetHandler handler, char[] ch, int start, int length)` Receive notification of ignorable whitespace in element content.
`void` | `notationDecl(StylesheetHandler handler, java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Receive notification of a notation declaration.
`void` | `processingInstruction(StylesheetHandler handler, java.lang.String target, java.lang.String data)` Receive notification of a processing instruction.
`InputSource` | `resolveEntity(StylesheetHandler handler, java.lang.String publicId, java.lang.String systemId)` Resolve an external entity.
`void` | `skippedEntity(StylesheetHandler handler, java.lang.String name)` Receive notification of a skipped entity.
`void` | `startElement(StylesheetHandler handler, java.lang.String uri, java.lang.String localName, java.lang.String rawName, Attributes attributes)` Receive notification of the start of an element.
`void` | `startNonText(StylesheetHandler handler)` Receive notification of the start of the non-text event.
`void` | `unparsedEntityDecl(StylesheetHandler handler, java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` Receive notification of an unparsed entity declaration.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, getXSLToken, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resolveEntity

    public InputSource resolveEntity(StylesheetHandler handler,
                                     java.lang.String publicId,
                                     java.lang.String systemId)
                              throws SAXException

  Resolve an external entity.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `publicId` - The public identifer, or null if none is available.
    `systemId` - The system identifier provided in the XML document.
  Returns:
    The new input source, or null to require the default behaviour.

### notationDecl

    public void notationDecl(StylesheetHandler handler,
                             java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)

  Receive notification of a notation declaration.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `name` - The notation name.
    `publicId` - The notation public identifier, or null if not available.
    `systemId` - The notation system identifier.
  See Also:
    `DTDHandler.notationDecl(java.lang.String, java.lang.String, java.lang.String)`

### unparsedEntityDecl

    public void unparsedEntityDecl(StylesheetHandler handler,
                                   java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)

  Receive notification of an unparsed entity declaration.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `name` - The entity name.
    `publicId` - The entity public identifier, or null if not available.
    `systemId` - The entity system identifier.
    `notationName` - The name of the associated notation.
  See Also:
    `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### startNonText

    public void startNonText(StylesheetHandler handler)
                      throws SAXException

  Receive notification of the start of the non-text event. This is sent to the current processor when any non-text event occurs.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.

### startElement

    public void startElement(StylesheetHandler handler,
                             java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String rawName,
                             Attributes attributes)
                      throws SAXException

  Receive notification of the start of an element.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `uri` - The Namespace URI, or an empty string.
    `localName` - The local name (without prefix), or empty string if not namespace processing.
    `rawName` - The qualified name (with prefix).
    `attributes` - The specified or defaulted attributes.

### endElement

    public void endElement(StylesheetHandler handler,
                           java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws SAXException

  Receive notification of the end of an element.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `uri` - The Namespace URI, or an empty string.
    `localName` - The local name (without prefix), or empty string if not namespace processing.
    `rawName` - The qualified name (with prefix).

### characters

    public void characters(StylesheetHandler handler,
                           char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Receive notification of character data inside an element.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `ch` - The characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.

### ignorableWhitespace

    public void ignorableWhitespace(StylesheetHandler handler,
                                    char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Receive notification of ignorable whitespace in element content.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `ch` - The whitespace characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.

### processingInstruction

    public void processingInstruction(StylesheetHandler handler,
                                      java.lang.String target,
                                      java.lang.String data)
                               throws SAXException

  Receive notification of a processing instruction.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none is supplied.

### skippedEntity

    public void skippedEntity(StylesheetHandler handler,
                              java.lang.String name)
                       throws SAXException

  Receive notification of a skipped entity.
  Parameters:
    `handler` - non-null reference to current StylesheetHandler that is constructing the Templates.
    `name` - The name of the skipped entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.